using System;
using System.Text.RegularExpressions;

class Ersetzen
{
    static string Text =
@"
 Madeleine Smith

 Der Prozess gegen Madeleine Smith wegen der Ermordung ihres 
 Liebhabers Pierre Emile L´Angelier durch Verabreichung von Arsenik 
 endete am Donnerstag, dem 9. Juli 1857, mit dem Richterspruch 
 'Schuldbeweis nicht erbracht', und sie verließ den High Court 
 of Justiciary in Edinburgh durch einen Nebeneingang als freier Mensch.
";


    static void Main()
    {
        Console.WriteLine(new String('-', 20));
        Console.WriteLine(" Original: \n\n {0}", Text);

        string pattern = "Madeleine Smith";
        Regex re = new Regex(pattern);
        Text = re.Replace(Text, "Mrs Smith");

        Console.WriteLine(new String('-', 20));
        Console.WriteLine(" Faelschung: \n\n {0}", Text);
    }
}